Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008688opensim[GRID] Other Servicepublic2020-04-14 09:422020-05-14 05:30
ReporterManni 
Assigned To 
PriorityimmediateSeverityminorReproducibilityalways
StatusnewResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0008688: 0.9.2.0.207
DescriptionHttpServer Error: DTL / NSL MoneyServer has stopped working.
Please dismantle HttpServer.

Money is essential for trading simulations.
Steps To ReproduceAll opensim without external HttpServer.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
Script EngineYEngine
EnvironmentMono / Linux64
Mono Version6.x
Viewer
Attached Fileszip file icon DTLtest.zip [^] (65,061 bytes) 2020-04-15 09:34

- Relationships

-  Notes
(0036351)
Luisillo_Contepomi (reporter)
2020-04-14 10:51

Version 0.9.2 is development. It has not been released.
Putting a developing version into production grid is dangerous.

I have reported the problem to NSL two days ago, so that it can be solved when this version is officially released

You can follow the post:
http://www.nsl.tuis.ac.jp/xoops/modules/d3forum/index.php?forum_id=11 [^]
(0036352)
UbitUmarov (administrator)
2020-04-14 11:05

at this point i can't test that module to place possible compatibilty fallback code
(0036353)
Luisillo_Contepomi (reporter)
2020-04-14 11:57
edited on: 2020-04-14 11:59

I think may be was httpservers change day 11 because work day 10
can be OpenSim/Framework/Servers/HttpServer/OSHttpServer/HttpHelper.cs deleted?
0d940df4e2 ("http server: change uri query handling", 2020-04-11)

The console error is:
Errors in Opensim.exe console.

19:50:33 - [MONEY NSL RPC]: XmlRpcResponse certSend: connect to https://192.168. [^]
1.9:8008/
19:50:34 - [MONEY NSL RPC]: XmlRpcResponse certSend: GetResponse Error: System.N
et.WebException: The underlying connection was closed: An unexpected error occur
red on a receive. ---> System.IO.IOException: Unable to read data from the trans
port connection: An existing connection was forcibly closed by the remote host.
---> System.Net.Sockets.SocketException: An existing connection was forcibly clo
sed by the remote host
at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 s
ize)
--- End of inner exception stack trace ---
at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 s
ize)
at System.Net.FixedSizeReader.ReadPacket(Byte[] buffer, Int32 offset, Int32 c
ount)
at System.Net.Security._SslStream.StartFrameHeader(Byte[] buffer, Int32 offse
t, Int32 count, AsyncProtocolRequest asyncRequest)
at System.Net.Security._SslStream.StartReading(Byte[] buffer, Int32 offset, I
nt32 count, AsyncProtocolRequest asyncRequest)
at System.Net.Security._SslStream.ProcessRead(Byte[] buffer, Int32 offset, In
t32 count, AsyncProtocolRequest asyncRequest)
at System.Net.TlsStream.Read(Byte[] buffer, Int32 offset, Int32 size)
at System.Net.PooledStream.Read(Byte[] buffer, Int32 offset, Int32 size)
at System.Net.Connection.SyncRead(HttpWebRequest request, Boolean userRetriev
edStream, Boolean probeRead)
--- End of inner exception stack trace ---
at System.Net.HttpWebRequest.GetResponse()
at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2
myClientCert, Boolean checkServerCert, Int32 timeout)
19:50:34 - [MONEY]: genericCurrencyXMLRPCRequest: Unable to connect to Money Ser
ver https://192.168.1.9:8008/ [^]
19:50:34 - [MONEY]: genericCurrencyXMLRPCRequest: System.NullReferenceException:
Object reference not set to an instance of an object.
at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2
myClientCert, Boolean checkServerCert, Int32 timeout)
at OpenSim.Modules.Currency.DTLNSLMoneyModule.genericCurrencyXMLRPCRequest(Ha
shtable reqParams, String method)

(0036354)
UbitUmarov (administrator)
2020-04-14 12:00

that file ( and others ) where deleted bc had redundant code
htat sounds a issue server side
(0036355)
Luisillo_Contepomi (reporter)
2020-04-14 12:02

I do not know but think in this day.
10 work 11 not work
(0036356)
Luisillo_Contepomi (reporter)
2020-04-14 12:05
edited on: 2020-04-14 16:13

May be this test can help.

If I use money server and robust from 0.9.1.1 and region from 0.9.2 dev. the money server work fine.

When use robust and region from 0.9.2 dev then region fail connecting with money server.

*****edited****
NO errors when avatar connect but
fail money transactions between users************ with this error:
01:16:52 - [MONEY NSL RPC]: XmlRpcResponse certSend: connect to https://192.168. [^]
1.9:8008/
01:16:52 - [MONEY NSL RPC]: XmlRpcResponse certSend: connect to https://192.168. [^]
1.9:8008/
01:16:59 - [WATCHDOG]: Timeout detected for thread "Incoming Packets (El Rocio)"
. ThreadState=Background. Last tick was 6723ms ago.
01:17:02 - [MONEY NSL RPC]: XmlRpcResponse certSend: GetResponse Error: System.N
et.WebException: The operation has timed out
   at System.Net.HttpWebRequest.GetResponse()
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2
myClientCert, Boolean checkServerCert, Int32 timeout)
01:17:02 - [MONEY]: genericCurrencyXMLRPCRequest: Unable to connect to Money Ser
ver https://192.168.1.9:8008/ [^]
01:17:02 - [MONEY]: genericCurrencyXMLRPCRequest: System.NullReferenceException:
 Object reference not set to an instance of an object.
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2
myClientCert, Boolean checkServerCert, Int32 timeout)
   at OpenSim.Modules.Currency.DTLNSLMoneyModule.genericCurrencyXMLRPCRequest(Ha
shtable reqParams, String method)

(0036357)
UbitUmarov (administrator)
2020-04-14 12:07

ok thanks
that confirms the issue is on the server side
(0036358)
UbitUmarov (administrator)
2020-04-14 13:41

please one test:
add file HttpServer_OpenSim.dll from 0.9.1.1 to same folder where money server is
(0036359)
Manni (reporter)
2020-04-14 14:55

@Ubit: at this point i can't test that module to place possible compatibilty fallback code
Thanks Ubit I'm just so frustrated because I'm in the DTL/NSL MoneyServer so that it works.

Last unofficial opensim version with MoneyServer from me that works:
https://www.mediafire.com/file/9jetb2vrwxhpjkr/opensim-0.9.2.0MoneyRelease.zip/file [^]
(0036360)
Luisillo_Contepomi (reporter)
2020-04-14 15:46

the test with HttpServer_OpenSim.dll from 0.9.1.1 to same folder where money server result fail in region console.
No messages in Money Server console or robust.

error in red:

00:49:55 - [MONEY NSL RPC]: XmlRpcResponse certSend: GetResponse Error: System.N
et.WebException: The underlying connection was closed: An unexpected error occur
red on a receive. ---> System.IO.IOException: Unable to read data from the trans
port connection: An existing connection was forcibly closed by the remote host.
---> System.Net.Sockets.SocketException: An existing connection was forcibly clo
sed by the remote host
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 s
ize)
   --- End of inner exception stack trace ---
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 s
ize)
   at System.Net.FixedSizeReader.ReadPacket(Byte[] buffer, Int32 offset, Int32 c
ount)
   at System.Net.Security._SslStream.StartFrameHeader(Byte[] buffer, Int32 offse
t, Int32 count, AsyncProtocolRequest asyncRequest)
   at System.Net.Security._SslStream.StartReading(Byte[] buffer, Int32 offset, I
nt32 count, AsyncProtocolRequest asyncRequest)
   at System.Net.Security._SslStream.ProcessRead(Byte[] buffer, Int32 offset, In
t32 count, AsyncProtocolRequest asyncRequest)
   at System.Net.TlsStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.PooledStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.Connection.SyncRead(HttpWebRequest request, Boolean userRetriev
edStream, Boolean probeRead)
   --- End of inner exception stack trace ---
   at System.Net.HttpWebRequest.GetResponse()
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2
myClientCert, Boolean checkServerCert, Int32 timeout)
00:49:55 - [MONEY]: genericCurrencyXMLRPCRequest: Unable to connect to Money Ser
ver https://192.168.1.9:8008/ [^]
00:49:55 - [MONEY]: genericCurrencyXMLRPCRequest: System.NullReferenceException:
 Object reference not set to an instance of an object.
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2
myClientCert, Boolean checkServerCert, Int32 timeout)
   at OpenSim.Modules.Currency.DTLNSLMoneyModule.genericCurrencyXMLRPCRequest(Ha
shtable reqParams, String method)
(0036361)
Luisillo_Contepomi (reporter)
2020-04-14 15:52
edited on: 2020-04-14 15:56

test with HttpServer_OpenSim.dll from 0.9.1.1
in money server bin and in robust bin but not in region

Not the same fail error but fail
2020-04-15 00:55:14,962 INFO [MONEY]: OnMakeRootAgent:
2020-04-15 00:55:14,975 INFO [MONEY NSL RPC]: XmlRpcResponse certSend: connect to https://192.168.1.9:8008/ [^]
2020-04-15 00:55:14,992 ERROR [MONEY NSL RPC]: XmlRpcResponse certSend: GetResponse Error: System.Net.WebException: The underlying connection was closed: An unexpected error occurred on a receive. ---> System.IO.IOException: Unable to read data from the transport connection: An existing connection was forcibly closed by the remote host. ---> System.Net.Sockets.SocketException: An existing connection was forcibly closed by the remote host
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   --- End of inner exception stack trace ---
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.FixedSizeReader.ReadPacket(Byte[] buffer, Int32 offset, Int32 count)
   at System.Net.Security._SslStream.StartFrameHeader(Byte[] buffer, Int32 offset, Int32 count, AsyncProtocolRequest asyncRequest)
   at System.Net.Security._SslStream.StartReading(Byte[] buffer, Int32 offset, Int32 count, AsyncProtocolRequest asyncRequest)
   at System.Net.Security._SslStream.ProcessRead(Byte[] buffer, Int32 offset, Int32 count, AsyncProtocolRequest asyncRequest)
   at System.Net.TlsStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.PooledStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.Connection.SyncRead(HttpWebRequest request, Boolean userRetrievedStream, Boolean probeRead)
   --- End of inner exception stack trace ---
   at System.Net.HttpWebRequest.GetResponse()
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2 myClientCert, Boolean checkServerCert, Int32 timeout)
2020-04-15 00:55:15,001 ERROR [MONEY]: genericCurrencyXMLRPCRequest: Unable to connect to Money Server https://192.168.1.9:8008/ [^]
2020-04-15 00:55:15,005 ERROR [MONEY]: genericCurrencyXMLRPCRequest: System.NullReferenceException: Object reference not set to an instance of an object.
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2 myClientCert, Boolean checkServerCert, Int32 timeout)
   at OpenSim.Modules.Currency.DTLNSLMoneyModule.genericCurrencyXMLRPCRequest(Hashtable reqParams, String method)

(0036362)
Luisillo_Contepomi (reporter)
2020-04-14 15:58

HttpServer_OpenSim.dll from 0.9.1.1 in money server bin and robust bin and region bin.

error about cert same at the first error.

01:02:11 - [MONEY NSL RPC]: XmlRpcResponse certSend: GetResponse Error: System.N
et.WebException: The underlying connection was closed: An unexpected error occur
red on a receive. ---> System.IO.IOException: Unable to read data from the trans
port connection: An existing connection was forcibly closed by the remote host.
---> System.Net.Sockets.SocketException: An existing connection was forcibly clo
sed by the remote host
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 s
ize)
   --- End of inner exception stack trace ---
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 s
ize)
   at System.Net.FixedSizeReader.ReadPacket(Byte[] buffer, Int32 offset, Int32 c
ount)
   at System.Net.Security._SslStream.StartFrameHeader(Byte[] buffer, Int32 offse
t, Int32 count, AsyncProtocolRequest asyncRequest)
   at System.Net.Security._SslStream.StartReading(Byte[] buffer, Int32 offset, I
nt32 count, AsyncProtocolRequest asyncRequest)
   at System.Net.Security._SslStream.ProcessRead(Byte[] buffer, Int32 offset, In
t32 count, AsyncProtocolRequest asyncRequest)
   at System.Net.TlsStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.PooledStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.Connection.SyncRead(HttpWebRequest request, Boolean userRetriev
edStream, Boolean probeRead)
   --- End of inner exception stack trace ---
   at System.Net.HttpWebRequest.GetResponse()
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2
myClientCert, Boolean checkServerCert, Int32 timeout)
01:02:11 - [MONEY]: genericCurrencyXMLRPCRequest: Unable to connect to Money Ser
ver https://192.168.1.9:8008/ [^]
01:02:11 - [MONEY]: genericCurrencyXMLRPCRequest: System.NullReferenceException:
 Object reference not set to an instance of an object.
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2
myClientCert, Boolean checkServerCert, Int32 timeout)
   at OpenSim.Modules.Currency.DTLNSLMoneyModule.genericCurrencyXMLRPCRequest(Ha
shtable reqParams, String method)
(0036363)
Luisillo_Contepomi (reporter)
2020-04-15 01:44

Iseki is working on this in money server
http://www.nsl.tuis.ac.jp/xoops/modules/d3forum/index.php?post_id=1422 [^]
(0036364)
UbitUmarov (administrator)
2020-04-15 04:08

ok i had a bug on uri parse and validation.

as Iseki identified, the module needs a little change of use the now embeeded http server (HttpServer_OpenSim.dll is gone its code was merge(and changed) into opensim. ( another code change below)

- the prebuild.xml should also be update to .net4.6
ServicePointManager.ServerCertificateValidationCallback SHOULD NOT BE changed!!!

function ValidateServerCertificate can be split into 2
like
ValidateServerCertificateNoCert(...)
{..
if (obj is HttpWebRequest)
  return true;
...
and that if removed from the other one.

then on webrequests where it reads for example:
if (!checkServerCert) request.Headers.Add("NoVerifyCert", "true");
if should
set request.ServerCertificateValidationCallback = the respective validation
(this is now possible with .net46)


without this, other uses of https will fail!( like did on older opensim versions)

(pls let Iseki get this info, if he does not read this)

and if possible the module structure should be changed to be compiled under addon-modules. That makes a lot more easy to do a integrated debug.
i did it to debug this issue...
(0036365)
Luisillo_Contepomi (reporter)
2020-04-15 04:15

Posted in
http://www.nsl.tuis.ac.jp/xoops/modules/d3forum/index.php?post_id=1424 [^]
(0036368)
UbitUmarov (administrator)
2020-04-15 08:33

tanks,
meanwhile the code with the fix to work without HttpServer_OpenSim.dll
should work now, Several core usage of https now does survive ServicePointManager.ServerCertificateValidationCallback change.

just for future that must be reserved for main opensim use / fallback
(0036369)
Luisillo_Contepomi (reporter)
2020-04-15 09:24

Now need we a little modification in module side?
(0036370)
UbitUmarov (administrator)
2020-04-15 09:26

guess the one Iseki already made
(0036371)
UbitUmarov (administrator)
2020-04-15 09:46

the file DTLtest.zip contains my test code
i only changed one line o code, removing the dependency on the removed dll.

i did rearrange the module so it works inside addon-modules and compiles at same time as opensim, with same prebuild, settings etc..
i was too lazy to debug things with 2 independent projects.
i did not fixed the ServicePointManager.ServerCertificateValidationCallback issue.

to test, clean current opensim copy, paste the zip addon-modules folder contents on opensim addon-modules folder (not the one on bin/), run prebuild and compile
No patch is needed.
the bin files should show up on bin folder
add the rest of configuration files from original source (don't forget MoneyServer.exe.config)

on windows you may need a copy of Mono.Security.dll that was shipped on the module for 0.8.x

NOTE that this is a test only cod! Only code from the original author should be used.

NOTE that im looking to a module external to opensim, just because the nature of the issue, to identify the problem and see if any extra compatibilty code is needed on the new embedded http server code.
(0036372)
UbitUmarov (administrator)
2020-04-15 09:47

i did split the prebuild.xml into 3, and fixed for .net4.6 solution
(0036373)
Luisillo_Contepomi (reporter)
2020-04-15 13:14

Following the instrucctions with the little modification I add the OpenSimSearch module before compile.

Compilation no errors 17 alerts.

MoneyServer, Robust and region start without errors.

but I have this error in region console when login:

22:02:06 - [MONEY NSL RPC]: XmlRpcResponse certSend: connect to https://192.168. [^]
1.9:8008/
22:02:06 - [MONEY NSL RPC]: XmlRpcResponse certSend: GetResponse Error: System.N
et.WebException: The underlying connection was closed: An unexpected error occur
red on a receive. ---> System.IO.IOException: Unable to read data from the trans
port connection: An existing connection was forcibly closed by the remote host.
---> System.Net.Sockets.SocketException: An existing connection was forcibly clo
sed by the remote host
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 s
ize)
   --- End of inner exception stack trace ---
   at System.Net.Sockets.NetworkStream.Read(Byte[] buffer, Int32 offset, Int32 s
ize)
   at System.Net.FixedSizeReader.ReadPacket(Byte[] buffer, Int32 offset, Int32 c
ount)
   at System.Net.Security._SslStream.StartFrameHeader(Byte[] buffer, Int32 offse
t, Int32 count, AsyncProtocolRequest asyncRequest)
   at System.Net.Security._SslStream.StartReading(Byte[] buffer, Int32 offset, I
nt32 count, AsyncProtocolRequest asyncRequest)
   at System.Net.Security._SslStream.ProcessRead(Byte[] buffer, Int32 offset, In
t32 count, AsyncProtocolRequest asyncRequest)
   at System.Net.TlsStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.PooledStream.Read(Byte[] buffer, Int32 offset, Int32 size)
   at System.Net.Connection.SyncRead(HttpWebRequest request, Boolean userRetriev
edStream, Boolean probeRead)
   --- End of inner exception stack trace ---
   at System.Net.HttpWebRequest.GetResponse()
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2
myClientCert, Boolean checkServerCert, Int32 timeout) in X:\0.9.2\zzpostmoney\ad
don-modules\OpenSim.Modules.Currency\NSLXmlRpc.cs:line 81
22:02:06 - [MONEY]: genericCurrencyXMLRPCRequest: Unable to connect to Money Ser
ver https://192.168.1.9:8008/ [^]
22:02:06 - [MONEY]: genericCurrencyXMLRPCRequest: System.NullReferenceException:
 Object reference not set to an instance of an object.
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2
myClientCert, Boolean checkServerCert, Int32 timeout) in X:\0.9.2\zzpostmoney\ad
don-modules\OpenSim.Modules.Currency\NSLXmlRpc.cs:line 86
   at OpenSim.Modules.Currency.DTLNSLMoneyModule.genericCurrencyXMLRPCRequest(Ha
shtable reqParams, String method) in X:\0.9.2\zzpostmoney\addon-modules\OpenSim.
Modules.Currency\DTLNSLMoneyModule.cs:line 1805

and avatar have not money.

I am very grateful for your great work Ubit and possibly I am doing something wrong.

I would like to know the result of the tests of Manni.
(0036374)
UbitUmarov (administrator)
2020-04-15 13:15

did you pull my last commits?
(0036375)
UbitUmarov (administrator)
2020-04-15 13:18
edited on: 2020-04-15 13:23

yeack nm, i did forgot to commit the uri fix file, plz try now

(0036376)
Luisillo_Contepomi (reporter)
2020-04-15 13:44
edited on: 2020-04-15 15:31

EUREKA!
Work perfectly!
This is a great notice for Manni.

(0036377)
Luisillo_Contepomi (reporter)
2020-04-15 13:51

OOOhhhhh sorry.

Avatar have money when login but... when upload picture or give to other have this error:

22:53:37 - [MONEY NSL RPC]: XmlRpcResponse certSend: connect to https://192.168. [^]
1.9:8008/
22:53:37 - [MONEY NSL RPC]: XmlRpcResponse certSend: connect to https://192.168. [^]
1.9:8008/
22:53:44 - [WATCHDOG]: Timeout detected for thread "Incoming Packets (El Rocio)"
. ThreadState=Background. Last tick was 6911ms ago.
22:53:47 - [MONEY NSL RPC]: XmlRpcResponse certSend: GetResponse Error: System.N
et.WebException: The operation has timed out
   at System.Net.HttpWebRequest.GetResponse()
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2
myClientCert, Boolean checkServerCert, Int32 timeout) in X:\0.9.2\zz15abril\addo
n-modules\OpenSim.Modules.Currency\NSLXmlRpc.cs:line 81
22:53:47 - [MONEY]: genericCurrencyXMLRPCRequest: Unable to connect to Money Ser
ver https://192.168.1.9:8008/ [^]
22:53:47 - [MONEY]: genericCurrencyXMLRPCRequest: System.NullReferenceException:
 Object reference not set to an instance of an object.
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2
myClientCert, Boolean checkServerCert, Int32 timeout) in X:\0.9.2\zz15abril\addo
n-modules\OpenSim.Modules.Currency\NSLXmlRpc.cs:line 86
   at OpenSim.Modules.Currency.DTLNSLMoneyModule.genericCurrencyXMLRPCRequest(Ha
shtable reqParams, String method) in X:\0.9.2\zz15abril\addon-modules\OpenSim.Mo
dules.Currency\DTLNSLMoneyModule.cs:line 1805
(0036378)
Luisillo_Contepomi (reporter)
2020-04-15 14:18
edited on: 2020-04-15 14:34

MoneyServer console errors:

2020-04-15 23:37:54,684 INFO - OpenSim.Grid.MoneyServer.MoneyXmlRpcModule [MONEY RPC]: handleTransaction: Transfering money from 283cb4c4-2084-43d2-9547-0bd02675b5cc to 79710600-6a8d-49b8-8eeb-fb8484375ffb, Amount = 20
2020-04-15 23:37:54,685 INFO - OpenSim.Grid.MoneyServer.MoneyXmlRpcModule [MONEY RPC]: handleTransaction: Object ID = 00000000-0000-0000-0000-000000000000, Object Name =
2020-04-15 23:37:54,685 INFO - OpenSim.Grid.MoneyServer.MoneyXmlRpcModule [MONEY RPC]: handleTransaction: Transfering money from 283cb4c4-2084-43d2-9547-0bd02675b5cc to 79710600-6a8d-49b8-8eeb-fb8484375ffb
2020-04-15 23:37:54,847 INFO - OpenSim.Grid.MoneyServer.MoneyXmlRpcModule [MONEY RPC]: NotifyTransfer: Transaction Type = 5001
2020-04-15 23:37:54,849 INFO - OpenSim.Grid.MoneyServer.MoneyXmlRpcModule [MONEY RPC]: NotifyTransfer: Payment finished successfully, now update balance 3fc9705e-ddef-454e-8171-600bb22178cd
2020-04-15 23:37:54,854 INFO - NSL.Network.XmlRpc.NSLXmlRpcRequest [MONEY NSL RPC]: XmlRpcResponse certSend: connect to http://192.168.1.9:8999/ [^]
2020-04-15 23:38:24,887 ERROR - NSL.Network.XmlRpc.NSLXmlRpcRequest [MONEY NSL RPC]: XmlRpcResponse certSend: GetResponse Error: System.Net.WebException: The operation has timed out
   at System.Net.HttpWebRequest.GetResponse()
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2 myClientCert, Boolean checkServerCert, Int32 timeout) in X:\0.9.2\zz15abril\addon-modules\OpenSim.Modules.Currency\NSLXmlRpc.cs:line 81
2020-04-15 23:38:24,889 ERROR - OpenSim.Grid.MoneyServer.MoneyXmlRpcModule [MONEY RPC]: genericCurrencyXMLRPCRequest: Unable to connect to Region Server http://192.168.1.9:8999/ [^]
2020-04-15 23:38:24,890 ERROR - OpenSim.Grid.MoneyServer.MoneyXmlRpcModule [MONEY RPC]: genericCurrencyXMLRPCRequest: System.NullReferenceException: Object reference not set to an instance of an object.
   at NSL.Network.XmlRpc.NSLXmlRpcRequest.certSend(String url, X509Certificate2 myClientCert, Boolean checkServerCert, Int32 timeout) in X:\0.9.2\zz15abril\addon-modules\OpenSim.Modules.Currency\NSLXmlRpc.cs:line 86
   at OpenSim.Grid.MoneyServer.MoneyXmlRpcModule.genericCurrencyXMLRPCRequest(Hashtable reqParams, String method, String uri) in X:\0.9.2\zz15abril\addon-modules\OpenSim.Grid.MoneyServer\MoneyXmlRpcModule.cs:line 1272
2020-04-15 23:38:24,892 INFO - OpenSim.Grid.MoneyServer.MoneyXmlRpcModule [MONEY RPC]: UpdateBalance: Sended UpdateBalance Request to http://192.168.1.9:8999/ [^]
2020-04-15 23:38:24,894 INFO - NSL.Network.XmlRpc.NSLXmlRpcRequest [MONEY NSL RPC]: XmlRpcResponse certSend: connect to http://192.168.1.9:8999/ [^]

(0036379)
UbitUmarov (administrator)
2020-04-15 17:21

ok i had forgotten that ms always demands for 100-continue on PUT and POST
currently http server is not happy with that..
and it is just a waste of time, we have it disabled on opensim

so for exmaple on file MoneyXmlRPcModule.cs
at line 199
add lines

            ServicePointManager.UseNagleAlgorithm = false;
            ServicePointManager.Expect100Continue = false;

just before:
            m_sessionDic = m_moneyCore.GetSessionDic();
            m_secureSessionDic = m_moneyCore.GetSecureSessionDic();
            m_webSessionDic = m_moneyCore.GetWebSessionDic();
            RegisterHandlers();
        }

the UseNagleAlgorithm is a extra delay on small requests that we don't need..
(0036380)
Luisillo_Contepomi (reporter)
2020-04-15 17:44

now it really works!
Thank you very much!
(0036407)
Manni (reporter)
2020-04-21 07:25
edited on: 2020-04-21 07:27

Thanks all
Works with opensim-0.9.2.0Dev-218-g50b8125
Github:
https://github.com/BigManzai/OpenSimCurrencyServer-2020 [^]
Now first test

(0036408)
UbitUmarov (administrator)
2020-04-21 07:32

Please do not distribute my code on this.
It was done only to identify the issue and provide a temporary working solution

Please share it with original author(s), and use the versions provided by him.

Forks serve no purpose, but increase entropy
(0036409)
Luisillo_Contepomi (reporter)
2020-04-27 09:37

Mocule DTLNSLMoneyModule fail from today 04.27
Can not compile in windows 7 with this error:

"X:\0.9.2\z27\opensim.sln" (default target) (1) ->
"X:\0.9.2\z27\addon-modules\OpenSim.Grid.MoneyServer\MoneyServer.csproj" (defau
lt target) (2) ->
"X:\0.9.2\z27\addon-modules\OpenSim.Modules.Currency\OpenSim.Modules.Currency.c
sproj" (default target) (9:2) ->
(CoreCompile target) ->
  DTLNSLMoneyModule.cs(355,63): error CS0234: The type or namespace name 'Regio
nStatsHandler' does not exist in the namespace 'OpenSim.Region.Framework.Scenes
' (are you missing an assembly reference?) [X:\0.9.2\z27\addon-modules\OpenSim.
Modules.Currency\OpenSim.Modules.Currency.csproj]

    3 Warning(s)
    1 Error(s)
(0036410)
UbitUmarov (administrator)
2020-04-27 09:54

<cia-opensim> opensim: ajlduarte * r04b28f206ad7 OpenSim/Region/Framework/Scenes (RegionStatsHandler.cs):
<cia-opensim> mantis 8688: put RegionStatsHandler : BaseStreamHandler tempory back, to give time for external modules to update

the module should be changed to use RegionStatsSimpleHandler instead
(0036411)
Luisillo_Contepomi (reporter)
2020-04-27 10:35
edited on: 2020-04-27 11:38

Reported to NSLT
http://www.nsl.tuis.ac.jp/xoops/modules/d3forum/index.php?post_id=1428 [^]

(Now is temporarily solved. Thank you Ubit.)

(0036451)
UbitUmarov (administrator)
2020-05-08 06:59

I made more changes that may impact DTL
Please look to changes on SampleMoneyModule
(0036454)
Luisillo_Contepomi (reporter)
2020-05-08 10:42
edited on: 2020-05-08 10:57

Module DTLNSLMoneyModule is working OpenSim 0.9.2.0 Yeti Dev without problems. (today 5.8.20)

Reported to NSLT
http://www.nsl.tuis.ac.jp/xoops/modules/d3forum/index.php?topic_id=196 [^]

(0036473)
Manni (reporter)
2020-05-14 05:30

UbitUmarov
Please do not distribute my code on this.
It was done only to identify the issue and provide a temporary working solution
Please share it with original author(s), and use the versions provided by him.
Forks serve no purpose, but increase entropy

Manni
It is too different from the original.
In addition I have simplified MoneyServer so that everyone can compile it in three steps.
Copy addon-modules to addon-modules.
Copy bin to bin.
building opensimulator as usual.
Github: https://github.com/BigManzai/OpenSimCurrencyServer-2020 [^]

- Issue History
Date Modified Username Field Change
2020-04-14 09:42 Manni New Issue
2020-04-14 10:51 Luisillo_Contepomi Note Added: 0036351
2020-04-14 11:05 UbitUmarov Note Added: 0036352
2020-04-14 11:57 Luisillo_Contepomi Note Added: 0036353
2020-04-14 11:59 Luisillo_Contepomi Note Edited: 0036353 View Revisions
2020-04-14 12:00 UbitUmarov Note Added: 0036354
2020-04-14 12:02 Luisillo_Contepomi Note Added: 0036355
2020-04-14 12:05 Luisillo_Contepomi Note Added: 0036356
2020-04-14 12:07 UbitUmarov Note Added: 0036357
2020-04-14 13:41 UbitUmarov Note Added: 0036358
2020-04-14 14:55 Manni Note Added: 0036359
2020-04-14 15:46 Luisillo_Contepomi Note Added: 0036360
2020-04-14 15:52 Luisillo_Contepomi Note Added: 0036361
2020-04-14 15:56 Luisillo_Contepomi Note Edited: 0036361 View Revisions
2020-04-14 15:58 Luisillo_Contepomi Note Added: 0036362
2020-04-14 16:05 Luisillo_Contepomi Note Edited: 0036356 View Revisions
2020-04-14 16:13 Luisillo_Contepomi Note Edited: 0036356 View Revisions
2020-04-15 01:44 Luisillo_Contepomi Note Added: 0036363
2020-04-15 04:08 UbitUmarov Note Added: 0036364
2020-04-15 04:15 Luisillo_Contepomi Note Added: 0036365
2020-04-15 08:33 UbitUmarov Note Added: 0036368
2020-04-15 09:24 Luisillo_Contepomi Note Added: 0036369
2020-04-15 09:26 UbitUmarov Note Added: 0036370
2020-04-15 09:34 UbitUmarov File Added: DTLtest.zip
2020-04-15 09:46 UbitUmarov Note Added: 0036371
2020-04-15 09:47 UbitUmarov Note Added: 0036372
2020-04-15 13:14 Luisillo_Contepomi Note Added: 0036373
2020-04-15 13:15 UbitUmarov Note Added: 0036374
2020-04-15 13:18 UbitUmarov Note Added: 0036375
2020-04-15 13:23 UbitUmarov Note Edited: 0036375 View Revisions
2020-04-15 13:44 Luisillo_Contepomi Note Added: 0036376
2020-04-15 13:51 Luisillo_Contepomi Note Added: 0036377
2020-04-15 14:18 Luisillo_Contepomi Note Added: 0036378
2020-04-15 14:34 Luisillo_Contepomi Note Edited: 0036378 View Revisions
2020-04-15 15:31 Luisillo_Contepomi Note Edited: 0036376 View Revisions
2020-04-15 17:21 UbitUmarov Note Added: 0036379
2020-04-15 17:44 Luisillo_Contepomi Note Added: 0036380
2020-04-15 17:48 Luisillo_Contepomi File Added: addon-modules money working.rar
2020-04-15 17:50 Luisillo_Contepomi Note Added: 0036381
2020-04-21 07:25 Manni Note Added: 0036407
2020-04-21 07:27 Manni Note Edited: 0036407 View Revisions
2020-04-21 07:32 UbitUmarov Note Added: 0036408
2020-04-21 09:08 Luisillo_Contepomi File Deleted: addon-modules money working.rar
2020-04-21 09:09 Luisillo_Contepomi Note Deleted: 0036381
2020-04-27 09:37 Luisillo_Contepomi Note Added: 0036409
2020-04-27 09:54 UbitUmarov Note Added: 0036410
2020-04-27 10:35 Luisillo_Contepomi Note Added: 0036411
2020-04-27 10:57 Luisillo_Contepomi Note Edited: 0036411 View Revisions
2020-04-27 11:38 Luisillo_Contepomi Note Edited: 0036411 View Revisions
2020-05-08 06:59 UbitUmarov Note Added: 0036451
2020-05-08 10:42 Luisillo_Contepomi Note Added: 0036454
2020-05-08 10:57 Luisillo_Contepomi Note Edited: 0036454 View Revisions
2020-05-14 05:30 Manni Note Added: 0036473


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker